Subject: [secdir] Secdir review of draft-ietf-payload-rtp-aptx-04

From: Tero Kivinen <[email-masked]>
Date: Thu, 5 Dec 2013 14:47:13 +0200

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

This document describes how to transmit proprietary audio codec
algorithms standard apt-X and enchanced apt-X in the RTP. The document
has security considerations section which seems to be OK.

If I have understood correctly the codec is constant bit rate codec,
thus it is not vulnerable to the traffic analysis attacks described
for example in the draft-ietf-avtcore-srtp-vbr-audio document. Perhaps
the security considerations section could note that these codecs are
not vulnerable to those attacks (if that is in deed true).
-- 
[email-masked]